> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Daily Files

> This endpoint returns a list of daily files.

Use this endpoint to get a list of available daily files in JSON format. This endpoint should generally be used before downloading a file in order to check the file size and [determine whether byte serving is necessary](/api-reference/more-apis/reporting/using-the-api#byte-serving-for-large-files).

## Path Parameters

<ParamField path="client_id" required type="string">
  Your client ID.
</ParamField>

## Response Fields

| Field               | Type    | Description                                                                                                         |
| :------------------ | :------ | :------------------------------------------------------------------------------------------------------------------ |
| `checksum`          | string  | A checksum of the file which can be used to ensure the downloaded file contains what was expected.                  |
| `event_type`        | string  | This will be one of `CREATED`, `UPDATED`, or `DELETED`.                                                             |
| `file_size`         | integer | The size of the file in bytes.                                                                                      |
| `guid`              | string  | The unique identifier for the daily file. Defined by MX.                                                            |
| `name`              | string  | The file name.                                                                                                      |
| `number_of_records` | integer | The number of records in the daily file.                                                                            |
| `resource_type`     | string  | The resource whose change records are contained in the file, for example, `ACCOUNTS`, `USERS`, `TRANSACTIONS`, etc. |

<RequestExample>
  ```shell Request theme={null}
  curl -X GET https://int-logs.moneydesktop.com/download/{client_id} \
   -H 'Accept: application/vnd.mx.logs.v1+json' \
   -H 'MD-API-KEY: {api_key}'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "daily_snapshot_files": [
      {
        "checksum": "939a313512aaf97b88732af822e3e10565ff038bdb18ed0e7d9c0a1e83601cb1",
        "event_type": "CREATED",
        "file_size": 3834,
        "guid": "SLF-d7c8e264-4022-43bb-a0b8-515f2a21d7bf",
        "name": "CLT-942128c7-62fd-42f1-a46f-86fe1bb1c330.2023-11-08.accounts.created",
        "number_of_records": 0,
        "resource_type": "ACCOUNTS"
      },
      {
        "checksum": "6a9c444d27a64a2dac662573b4725f7a153094af6f6ff90f81f45a95f638a058",
        "event_type": "UPDATED",
        "file_size": 3834,
        "guid": "SLF-95212615-b5d5-4516-b3e1-950ebf1c48ba",
        "name": "CLT-942128c7-62fd-42f1-a46f-86fe1bb1c330.2023-11-08.accounts.updated",
        "number_of_records": 0,
        "resource_type": "ACCOUNTS"
      }
    ]
  }
  ```
</ResponseExample>
